Whamcloud - gitweb
LU-4423 lnet: Don't ignore error code for lst_group_info_ioctl
[fs/lustre-release.git] / config / lustre-version.m4
1 #
2 # LUSTRE_VERSION_VARIABLES
3 #
4 AC_DEFUN([LUSTRE_VERSION_VARIABLES], [
5
6 LUSTRE_MAJOR=`echo AC_PACKAGE_VERSION | sed -re ['s/([0-9]+)\.([0-9]+)\.([0-9]+)(\.([0-9]+))?.*/\1/']`
7 LUSTRE_MINOR=`echo AC_PACKAGE_VERSION | sed -re ['s/([0-9]+)\.([0-9]+)\.([0-9]+)(\.([0-9]+))?.*/\2/']`
8 LUSTRE_PATCH=`echo AC_PACKAGE_VERSION | sed -re ['s/([0-9]+)\.([0-9]+)\.([0-9]+)(\.([0-9]+))?.*/\3/']`
9 LUSTRE_FIX=`echo AC_PACKAGE_VERSION | sed -re ['s/([0-9]+)\.([0-9]+)\.([0-9]+)(\.([0-9]+))?.*/\5/']`
10 AS_IF([test -z "$LUSTRE_FIX"], [LUSTRE_FIX="0"])
11
12 m4_pattern_allow(AC_LUSTRE)
13 [AC_LUSTRE_MAJOR]=$LUSTRE_MAJOR
14 [AC_LUSTRE_MINOR]=$LUSTRE_MINOR
15 [AC_LUSTRE_PATCH]=$LUSTRE_PATCH
16 [AC_LUSTRE_FIX]=$LUSTRE_FIX
17
18 AC_SUBST([AC_LUSTRE_MAJOR])
19 AC_SUBST([AC_LUSTRE_MINOR])
20 AC_SUBST([AC_LUSTRE_PATCH])
21 AC_SUBST([AC_LUSTRE_FIX])
22
23 ])